<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Name: Vital Signs Summary CDA document
Description: Een minimaal CDA Release 2 document die alleen een paar attributen en relaties voor een ClinicalDocument class bevat:  
                     typeId: vast 
                     id: uniek id van de document instantiatie 
                     code: type van het document 
                     effectiveTime: datum waarop document is gecreëerd 
                     confidentialityCode: indicatie van level van vertrouwen voor dit document 
                     recordTarget: onderwerp (bv. patient) 
                     author: auteur van dit document 
                     custodian: beheerder van dit document 
                     component: bevat (in dit geval) een gestructureerde inhoud 
                 
            
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000">
   <title>Vital Signs Summary CDA document</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /
Item: (VitalSignsCDAdocument)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]"
         id="tmp-r-e75b5e76-d3cd-4b78-b8d3-3df1f9e2ce0f">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(VitalSignsCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(VitalSignsCDAdocument): element hl7:typeId[@root='2.16.840.1.113883.1.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']/@nullFlavor)">(VitalSignsCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'])&lt;=1">(VitalSignsCDAdocument): element hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:id)&gt;=1 and not(hl7:id/@nullFlavor)">(VitalSignsCDAdocument): element hl7:id is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:id)&lt;=1">(VitalSignsCDAdocument): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(VitalSignsCDAdocument): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(VitalSignsCDAdocument): element hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:title)&lt;=1">(VitalSignsCDAdocument): element hl7:title appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(VitalSignsCDAdocument): element hl7:effectiveTime is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(VitalSignsCDAdocument): element hl7:effectiveTime appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(VitalSignsCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(VitalSignsCDAdocument): element hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:author)&gt;=1 and not(hl7:author/@nullFlavor)">(VitalSignsCDAdocument): element hl7:author is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:custodian)&gt;=1 and not(hl7:custodian/@nullFlavor)">(VitalSignsCDAdocument): element hl7:custodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:custodian)&lt;=1">(VitalSignsCDAdocument): element hl7:custodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (CDAtypeId)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-6f7c776d-a380-4597-ba58-498b267e6297">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtypeId): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="string(@extension)='POCD_HD000040'">(CDAtypeId): The value for @extension SHALL be 'POCD_HD000040'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900001-2014-07-08T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(CDAtypeId): @root SHALL have value '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']"
         id="tmp-r-edbd69d0-60f1-48c4-a5fd-b624bc4c36a1">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@root)='2.16.840.1.113883.3.1937.99.60.5.10.1'">(VitalSignsCDAdocument): @root SHALL have value '2.16.840.1.113883.3.1937.99.60.5.10.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:id
Item: (CDAid)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:id"
         id="tmp-r-032a76b6-0a89-411c-a500-32a7bc3ecfb4">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAid): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:code[(@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-a7fde436-58eb-4371-9f7c-3fdca5a7cccd">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(VitalSignsCDAdocument): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(VitalSignsCDAdocument): The element value SHALL be code '51848-0' codeSystem '2.16.840.1.113883.6.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:title
Item: (CDAtitle)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:title"
         id="tmp-r-8633d9de-cf4b-463a-a902-c64e996f61b5">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900003-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAtitle): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900004
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:effectiveTime
Item: (CDAeffectiveTime)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:effectiveTime"
         id="tmp-r-11092694-177e-4289-a543-179d6273298b">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900004-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAeffectiveTime): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATETIME.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900005
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (CDAconfidentialityCode)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:confidentialityCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-a0fb8d35-0a28-4f29-b169-3697e87afde5">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAconfidentialityCode): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDAconfidentialityCode): The element value SHALL be BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.16926-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900005-2014-07-08T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDAconfidentialityCode): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set BasicConfidentialityKind Basic Confidentiality Kind (HL7) (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget"
         id="tmp-r-44de1c10-20f2-451c-bdd6-246e6336617d">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@typeCode)='RCT' or not(@typeCode)">(CDArecordTarget): The value for @typeCode SHALL be 'RCT'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@contextControlCode)='OP' or not(@contextControlCode)">(CDArecordTarget): The value for @contextControlCode SHALL be 'OP'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patientRole)&gt;=1 ">(CDArecordTarget): element hl7:patientRole is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patientRole)&lt;=1">(CDArecordTarget): element hl7:patientRole appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole"
         id="tmp-r-17dc1d37-77d9-4816-96e0-3059c1e3ee3a">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@classCode)='PAT' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PAT'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&gt;=1 ">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:id[@root='2.16.840.1.113883.2.4.6.3'])&lt;=1">(CDArecordTarget): element hl7:id[@root='2.16.840.1.113883.2.4.6.3'] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patient)&gt;=1 ">(CDArecordTarget): element hl7:patient is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:patient)&lt;=1">(CDArecordTarget): element hl7:patient appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900207
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']
Item: (NationalPatientIdentifier)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:id[@root='2.16.840.1.113883.2.4.6.3']"
         id="tmp-r-826ae5c3-0a96-4645-99c5-e390900a0bfd">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(NationalPatientIdentifier): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II.NL.BSN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900207-2014-07-08T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.3'">(NationalPatientIdentifier): @root SHALL have value '2.16.840.1.113883.2.4.6.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient"
         id="tmp-r-2a77b5dc-5dc3-4d01-a420-0233e48d3b8a">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDArecordTarget): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDArecordTarget): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 ">(CDArecordTarget): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&gt;=1 ">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor])&lt;=1">(CDArecordTarget): element hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor] appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:birthTime)&gt;=1 ">(CDArecordTarget): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="count(hl7:birthTime)&lt;=1">(CDArecordTarget): element hl7:birthTime appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:name"
         id="tmp-r-fa9de8d7-967e-4542-97c9-14ecc2ee2b03">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:administrativeGenderCode[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code) or @nullFlavor]"
         id="tmp-r-590adc70-2f54-4df4-9fec-f4fdb7e7c504">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDArecordTarget): The element value SHALL be AdministrativeGender (DYNAMIC).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="not(@nullFlavor) or $validNullFlavorsFound">(CDArecordTarget): The null value '<value-of select="@nullFlavor"/>' for @code SHALL be selected from the set of valid null flavors defined for this attribute or those associated with Value Set AdministrativeGender (DYNAMIC).</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2001
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime
Item: (CDArecordTarget)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:recordTarget/hl7:patientRole/hl7:patient/hl7:birthTime"
         id="tmp-r-d73c75ce-26dc-466e-afc3-4dff2282f971">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2001-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDArecordTarget): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author"
         id="tmp-r-f8de822a-c372-442f-a8bc-1fc7d13f79b7">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@typeCode)='AUT' or not(@typeCode)">(CDAauthor): The value for @typeCode SHALL be 'AUT'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:time)&gt;=1 and not(hl7:time/@nullFlavor)">(CDAauthor): element hl7:time is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:time)&lt;=1">(CDAauthor): element hl7:time appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedAuthor)&gt;=1 and not(hl7:assignedAuthor/@nullFlavor)">(CDAauthor): element hl7:assignedAuthor is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedAuthor)&lt;=1">(CDAauthor): element hl7:assignedAuthor appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:time
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:time"
         id="tmp-r-b7920f96-6c66-48b2-a85d-90304da53434">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS.DATE.MIN"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor"
         id="tmp-r-ad050ca5-65f5-4428-905d-849e3908450d">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:id)&gt;=1 ">(CDAauthor): element hl7:id is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:id)&lt;=1">(CDAauthor): element hl7:id appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:assignedPerson)&lt;=1">(CDAauthor): element hl7:assignedPerson appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:representedOrganization)&lt;=1">(CDAauthor): element hl7:representedOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:id"
         id="tmp-r-45a751df-1a0b-42d1-899b-3847233adcd8">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDAauthor): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson"
         id="tmp-r-ba48897a-8ae1-4964-8372-757e0dae2b84">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)='PSN' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'PSN'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name"
         id="tmp-r-804d4298-b2da-4ab8-b59f-d6e8d1e353a7">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(PersonElements): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:family)&lt;=1">(PersonElements): element hl7:family appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:given)&gt;=1 and not(hl7:given/@nullFlavor)">(PersonElements): element hl7:given is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="count(hl7:given)&lt;=1">(PersonElements): element hl7:given appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:family"
         id="tmp-r-2d08ede5-88e5-49c2-bddd-fcfa7a614687">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900200
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:given
Item: (PersonElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:assignedPerson/hl7:name/hl7:given"
         id="tmp-r-f2d948be-9ff3-4dc1-b7e4-409c8a3a5c22">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900200-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(PersonElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ST", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2002
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization
Item: (CDAauthor)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization"
         id="tmp-r-26f15515-7112-4437-a26d-ed29a7058833">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAauthor): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAauthor): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAauthor): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:name)&lt;=1">(CDAauthor): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2002-2014-07-08T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAauthor): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:id"
         id="tmp-r-979efadc-a124-470a-ae34-53bb0340a771">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:name"
         id="tmp-r-7b93d25c-79ec-4216-bf8c-c79d8f42615f">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:telecom"
         id="tmp-r-c030c8f2-f0bb-4362-b56c-906fd7cb0d31">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:author/hl7:assignedAuthor/hl7:representedOrganization/hl7:addr"
         id="tmp-r-9788ebef-b441-4ab7-b9d6-9d123ac81309">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian"
         id="tmp-r-bd411906-e22d-4b40-af2b-45583ab6ae6e">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@typeCode)='CST' or not(@typeCode)">(CDAcustodian): The value for @typeCode SHALL be 'CST'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:assignedCustodian)&gt;=1 and not(hl7:assignedCustodian/@nullFlavor)">(CDAcustodian): element hl7:assignedCustodian is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:assignedCustodian)&lt;=1">(CDAcustodian): element hl7:assignedCustodian appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian"
         id="tmp-r-f5db70db-170f-4ef0-9ce0-03bee46ff8d3">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@classCode)='ASSIGNED' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ASSIGNED'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:representedCustodianOrganization)&lt;=1">(CDAcustodian): element hl7:representedCustodianOrganization appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.2003
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization
Item: (CDAcustodian)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization"
         id="tmp-r-da47e369-edfb-4632-8dd1-0880b3e17e50">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@classCode)='ORG' or not(@classCode)">(CDAcustodian): The value for @classCode SHALL be 'ORG'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="string(@determinerCode)='INSTANCE' or not(@determinerCode)">(CDAcustodian): The value for @determinerCode SHALL be 'INSTANCE'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(CDAcustodian): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:name)&lt;=1">(CDAcustodian): element hl7:name appears to often [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.2003-2014-07-08T000000.html"
              test="count(hl7:addr)&lt;=1">(CDAcustodian): element hl7:addr appears to often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:id"
         id="tmp-r-995b0c6c-a8e1-4d3e-b725-137731cf9922">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:name"
         id="tmp-r-eb62f985-901b-4195-b3ce-63547e1ef56b">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ON' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:ON", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ON"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:telecom"
         id="tmp-r-922c7814-2629-4c9b-b39f-039e9d3e0b76">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TEL' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TEL", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.900201
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr
Item: (OrganizationElements)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:custodian/hl7:assignedCustodian/hl7:representedCustodianOrganization/hl7:addr"
         id="tmp-r-29c8aaab-977f-459b-8010-5c5ca4bfda86">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.900201-2014-07-08T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='AD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(OrganizationElements): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:AD", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="AD"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component"
         id="tmp-r-9305ba4b-7a8e-4ef3-b77c-4b0062ee4d45">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VitalSignsCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(VitalSignsCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody
Item: (VitalSignsCDAdocument)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody"
         id="tmp-r-a47b07e2-e5ff-4c5c-b3e7-1c35d78e4884">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@classCode)='DOCBODY' or not(@classCode)">(VitalSignsCDAdocument): The value for @classCode SHALL be 'DOCBODY'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(VitalSignsCDAdocument): The value for @moodCode SHALL be 'EVN'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]])&gt;=1 and not(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]]/@nullFlavor)">(VitalSignsCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]])&lt;=1">(VitalSignsCDAdocument): element hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]] appears to often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.1937.99.60.5.10.1
Context: /hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]]
Item: (VitalSignsCDAdocument)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.1']]/hl7:component/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root='2.16.840.1.113883.3.1937.99.60.5.10.3001']]]">
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@typeCode)='COMP' or not(@typeCode)">(VitalSignsCDAdocument): The value for @typeCode SHALL be 'COMP'.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/demo5/demo5-html-20140828T143005/tmp-2.16.840.1.113883.3.1937.99.60.5.10.1-2014-07-08T000000.html"
              test="string(@contextConductionInd)='true' or not(@contextConductionInd)">(VitalSignsCDAdocument): The value for @contextConductionInd SHALL be 'true'.</assert>
   </rule>
</pattern>
